/**
 * @license Copyright (c) 2003-2019, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

/**
 * @fileOverview The "convertpersian" plugin.
 *
 */

'use strict';

( function() {
	CKEDITOR.plugins.add( 'convertpersian', {
	    lang: 'af,ar,az,bg,bn,bs,ca,cs,cy,da,de,de-ch,el,en,en-au,en-ca,en-gb,eo,es,es-mx,et,eu,fa,fi,fo,fr,fr-ca,gl,gu,he,hi,hr,hu,id,is,it,ja,ka,km,ko,ku,lt,lv,mk,mn,ms,nb,nl,no,oc,pl,pt,pt-br,ro,ru,si,sk,sl,sq,sr,sr-latn,sv,th,tr,tt,ug,uk,vi,zh,zh-cn', // %REMOVE_LINE_CORE%
	    icons: 'convertpersian,', // %REMOVE_LINE_CORE%
	    hidpi: true, // %REMOVE_LINE_CORE%
        init: function( editor ) {
		    var lang = editor.lang.convertpersian,pluginName = 'convertpersian';
		    // Register the command.
		    editor.addCommand( pluginName, CKEDITOR.plugins.convertpersian );

		    // Register the toolbar button.
		    editor.ui.addButton && editor.ui.addButton( 'ConvertPersian', {
			    label: lang.toolbar,
			    command: pluginName,
			    toolbar: 'document,50'
		    } );
	    }
		
	} );

    CKEDITOR.plugins.convertpersian = {
	    exec: function( editor ) {
            var html = $(CKEDITOR.instances.editor.document.$.documentElement).find("body").html();
	        alert(html);
	    },
        canUndo: true
    }

} )();
